Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1134444 - engine-setup completes correctly only if the engine DB names matches the engine username
Summary: engine-setup completes correctly only if the engine DB names matches the engi...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
urgent
medium
Target Milestone: ---
: 3.5.0
Assignee: Simone Tiraboschi
QA Contact: movciari
URL:
Whiteboard: integration
Depends On: 1156114
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-08-27 14:04 UTC by Simone Tiraboschi
Modified: 2015-02-12 14:09 UTC (History)
9 users (show)

Fixed In Version: org.ovirt.engine-root-3.5.0-11
Doc Type: Bug Fix
Doc Text:
previously rhevm-setup completed correctly only if the engine DB names matched the engine username cause it inverted the database name and the username writing pg_hba.conf file. Now the pg_hba.conf is written correctly.
Clone Of:
Environment:
Last Closed: 2015-02-12 14:09:19 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)
first answerfile (deleted)
2014-08-27 14:12 UTC, Simone Tiraboschi
no flags Details
cleanup answerfile (deleted)
2014-08-27 14:13 UTC, Simone Tiraboschi
no flags Details
third answerfile (deleted)
2014-08-27 14:14 UTC, Simone Tiraboschi
no flags Details
failing answerfile (deleted)
2014-10-22 11:22 UTC, movciari
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 32042 master MERGED packaging: setup: correctly writing pg_hba.conf Never
oVirt gerrit 32516 ovirt-engine-3.5 MERGED packaging: setup: correctly writing pg_hba.conf Never

Description Simone Tiraboschi 2014-08-27 14:04:08 UTC
Description of problem:
rhevm-setup completes correctly only if the engine DB names matches the engine username cause it inverts the database name and the username writing pg_hba.conf file.

Version-Release number of selected component (if applicable):
av11.1

How reproducible:
100%, automatically and manually

Steps to Reproduce:
1. rhevm-setup --config-append=working 
2. rhevm-cleanup --config-append=cleanup 
3. rhevm-setup --config-append=setup 

Actual results:
'Misc configuration': Command '/usr/share/ovirt-engine/dbscripts/create_schema.sh' failed to execute

Expected results:
rhevm-setup completes correctly

Additional info:
To reproduce please modify OVESETUP_CONFIG/fqdn and OVESETUP_PKI/organization in the attached files matching your hostname.

Comment 1 Simone Tiraboschi 2014-08-27 14:12:29 UTC
Created attachment 931493 [details]
first answerfile

Comment 2 Simone Tiraboschi 2014-08-27 14:13:34 UTC
Created attachment 931494 [details]
cleanup answerfile

Comment 3 Simone Tiraboschi 2014-08-27 14:14:03 UTC
Created attachment 931495 [details]
third answerfile

Comment 4 Petr Beňas 2014-09-02 12:19:55 UTC
Notes for QE: use different DB name in the answerfile.

Comment 5 movciari 2014-10-22 11:21:55 UTC
failed on vt6 with engine DB name in answerfile set to engineDB, saying database engineDB does not exist (automatic DB provisioning was enabled)

Comment 6 movciari 2014-10-22 11:22:36 UTC
Created attachment 949348 [details]
failing answerfile

Comment 7 Simone Tiraboschi 2014-10-23 15:06:23 UTC
Unfortunately movciari found a new bug: it seams that we are not able to correctly handle DB names with mixed case as 'engineDB'.

Using 'enginedb' for the DB name and 'engine' for the username works as expected while instead using 'enginE' for the DB and 'enginE' for the username doesn't.

Comment 8 movciari 2014-10-29 13:32:12 UTC
i will wait for 1156114 to be ON_QA to verify it at once


Note You need to log in before you can comment on or make changes to this bug.